FruxonDocs
AgentsCore

Updates an existing agent. Requires Editor role or higher.

PUT
/v1/tenants/{tenant}/agents/{agent}

Path Parameters

agent*string

The unique identifier of the agent to update.

tenant*string

The tenant identifier

The agent update request.

displayName?string|null
description?string|null
avatarFileId?string|null
type?string
Value in"summarization" | "recommendation" | "analyzer" | "chat" | "other"
tags?|null
[key: string]?never

Response Body

curl -X PUT "https://api.fruxon.com/v1/tenants/string/agents/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "displayName": "string",
  "description": "string",
  "avatarFileId": "string",
  "tags": [
    "string"
  ],
  "type": "Summarization",
  "enabled": false,
  "currentRevision": 0,
  "createdAt": 0,
  "modifiedAt": 0,
  "tenantId": "00000000-0000-0000-0000-000000000000",
  "solutionId": "string"
}
Empty
Empty
Empty